xfs_attr is now called attr
authorSteve Lord <lord@sgi.com>
Fri, 19 Jan 2001 17:15:32 +0000 (17:15 +0000)
committerSteve Lord <lord@sgi.com>
Fri, 19 Jan 2001 17:15:32 +0000 (17:15 +0000)
020
021

diff --git a/020 b/020
index d9faaab5da650765addb6b50926e9a91d85a361b..eeec318f7625e55bb55ef45c01a3f941688b01c1 100755 (executable)
--- a/020
+++ b/020
@@ -60,7 +60,7 @@ _filter()
 
 _attr()
 {
-    xfs_attr $* 2>$tmp.err >$tmp.out
+    attr $* 2>$tmp.err >$tmp.out
     exit=$?
     _filter $tmp.out
     _filter $tmp.err 1>&2
@@ -149,7 +149,7 @@ echo "*** add lots of attributes"
 v=0
 while [ $v -lt 1000 ]
 do
-    echo "value_$v" | xfs_attr -s "attribute_$v" $testfile >/dev/null
+    echo "value_$v" | attr -s "attribute_$v" $testfile >/dev/null
     if [ $? -ne 0 ]
     then
         echo "!!! failed to add \"attribute_$v\""
@@ -161,14 +161,14 @@ done
 
 echo "*** check"
 # don't print it all out...
-xfs_attr -l $testfile \
+attr -l $testfile \
     | $AWK_PROG '{ l++ } END {print "   *** " l " attribute(s)" }'
 
 echo "*** remove lots of attributes"
 v=0
 while [ $v -lt 1000 ]
 do
-    if ! xfs_attr -r "attribute_$v" $testfile >/dev/null
+    if ! attr -r "attribute_$v" $testfile >/dev/null
     then
         echo "!!! failed to add \"attribute_$v\""
         exit 1
diff --git a/021 b/021
index ac711b4154e3c4ea7a804a98c4e2aba260ed5ca4..e2eeb19a8564dd02db0885d1105e6b666ea9ea67 100755 (executable)
--- a/021
+++ b/021
@@ -59,12 +59,12 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 
 _s()
 {
-    echo $2 | xfs_attr -s $1 $testfile >/dev/null
+    echo $2 | attr -s $1 $testfile >/dev/null
 }
 
 _attr()
 {
-    xfs_attr $* 2>$tmp.err >$tmp.out
+    attr $* 2>$tmp.err >$tmp.out
     exit=$?
     sed "s#$SCRATCH_MNT[^ .:]*#<TESTFILE>#g; s#$tmp[^ :]*#<TMPFILE>#g;" $tmp.out
     sed "s#$SCRATCH_MNT[^ .:]*#<TESTFILE>#g; s#$tmp[^ :]*#<TMPFILE>#g;" $tmp.err 1>&2